Subject: Re: [RFC][0/2] remove atm_find_ci(); convert vcc_sklist to hash

From: "David S. Miller" <[email-masked]>
Date: Wed, 8 Oct 2003 06:58:44 -0700

On Wed, 08 Oct 2003 08:46:26 -0400
chas williams <[email-masked]> wrote:

> the following two patches (which should be applied to a current 2.6 tree)
> obseletes atm_find_ci() which races the vpi/vci allocation (since the 
> actual allocation is delayed until after the entering the drivers open()
> routine).  all drivers now use the built-in find_ci().  to address
> performance issues the second patch converts the vcc_sklist to a hash
> based on the lower 5 bits in the vci.

These changes look fine, I'll add them to my tree.

> should this be tunable via config?

I don't think so, at least not now.  My advice is, keep it a constant
for now and if people run into perf problems and the hash table size
is determined to be the cause you can investigate how to choose
different hash table sizes.

This is exactly what we did with the TCP hashes.